package middleware

import (
	"net/http"
	"slices"
)

func Use(handler http.Handler, middlewares ...Middleware) http.Handler {
	slices.Reverse(middlewares)

	for _, middleware := range middlewares {
		handler = middleware.WrapHandler(handler)
	}

	return handler
}
